> ## Documentation Index
> Fetch the complete documentation index at: https://developer.priceedge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data

> This endpoint takes a table name as parameter and fitlers in the body 

## Get data

```Http theme={null}
POST {api_url}/api/tables/{TableName}
```

```Http theme={null}
POST {api_url}/api/tables/{TableName} HTTP/1.1

Content-Type: application/json
Authorization: Bearer {token} // or APIKey
client_id: {unique client id} // when API key client id not needed 

{
	"page": 1,
	"nrOfRecords": 100,
	"filters": [
			{
				"columnName": "Material", "op":"=", "value": "Steel"
			}
		],
	"fields": ["cd_ItemNumber", "Material", "Width", "Supplier"],
	"orderby": ["cd_ItemNumber"]
}

```

The response for a successful request would be

```JSON theme={null}
{
    "Data": {
        "data": [
            {
                "cd_ItemNumber": "ABC123",
                "Material": "Steel",
                "Width": 10,
                "Supplier": ""
            }
        ],
        "totalNumberOfRecords": 1
    },
    "Errors": [],
    "Succeeded": true
}
```

<Card title="Filter operators" icon="filters">
  ```
  <,>, !=, >=, <=, ContainsAny 
  (when using ContainsAny, "value": "Steel,Copper,Alu", is a comma separated list)
  ```
</Card>

<Tip>You can add several filter criteria in the same request. The exmaple below would give you all that has Cost greater than 100 and smaller than 200 </Tip>

```JSON theme={null}
	"filters": [
			{
				"columnName": "Cost", "op":">", "value": "100.0"
			},
            		{
				"columnName": "Cost", "op":"<", "value": "200.0"
			}
		]
```
